
bl_info = {
    "name": "Snap Menu: Key: 'Ctrl Shift Tab'",
    "description": "Snap Modes",
#    "author": "Antony Riakiotakis, Sebastian Koenig",
#    "version": (0, 1, 0),
    "blender": (2, 77, 0),
    "location": "Ctrl Shift Tab",
    "warning": "",
    "wiki_url": "",
    "category": "3d View"
    }

import bpy
from bpy.types import (
        Menu,
        Operator,
        )

# Pie Snap Mode - . key
class VIEW3D_PIE_snap_of(Menu):
    bl_label = "Snapping"
    bl_idname = "view3d.snap_of"

    def draw(self, context):
        layout = self.layout

        toolsettings = context.tool_settings
        pie = layout.menu_pie()
        pie.prop(toolsettings, "snap_element", expand=True)
        pie.prop(toolsettings, "use_snap")

classes = [
    VIEW3D_PIE_snap_of
    ]

addon_keymaps = []

def register():
    addon_keymaps.clear()
    for cls in classes:
        bpy.utils.register_class(cls)
    wm = bpy.context.window_manager

    if wm.keyconfigs.addon:
        # Align
        km = wm.keyconfigs.addon.keymaps.new(name='Object Non-modal')
        kmi = km.keymap_items.new('wm.call_menu_pie', 'TAB', 'PRESS', ctrl=True, shift=True)
        kmi.properties.name = "view3d.snap_of"
        addon_keymaps.append((km, kmi))

def unregister():
    for cls in classes:
        bpy.utils.unregister_class(cls)
    wm = bpy.context.window_manager

    kc = wm.keyconfigs.addon
    if kc:
        for km, kmi in addon_keymaps:
            km.keymap_items.remove(kmi)
    addon_keymaps.clear()

if __name__ == "__main__":
    register()
